/*
Nome: Mario
Cognome: Montanari

strcat()
*/

#include <iostream>
#include <cstring>

#define SIZE 100+1

using namespace std;

char *strcat(char *src, const char *dst);

int main(void) {
	char src[SIZE];
	char dst[] = "@studenti.itisravenna.it";
	char *ptr;
	
	cout << "Inserisci il nome utente della tua email scolastica: ";
	cin >> src;
	
	ptr = strcat(src, dst);
	
	cout << "Email scolastica: " << ptr << endl;
	
	return 0;
}

char *strcat(char *src, const char *dst) {
	int i;
	int len = strlen(src);
	
	for (i = 0; dst[i] != '\0'; i++) {
		src[len + i] = dst[i];
	}
	
	src[len + i] = '\0';
	
	return src;
}